package Luokat;

import java.util.HashMap;
import java.util.List;

public class KokoTulkki {
    private final HashMap<Integer, String> koot = new HashMap<>();


    public KokoTulkki() {
        koot.put(1,"Sintti");
        koot.put(2,"Keskikokoinen");
        koot.put(3,"Iso");
    }

    /**
     *
     * @param id Id, jonka kokoa etsitään
     * @return koko merkkijonona
     * @example
     * <pre name="test">
     *  KokoTulkki k = new KokoTulkki();
     *  k.getKokoFromId(1) === "Sintti";
     *  k.getKokoFromId(3) === "Iso";
     *  k.getKokoFromId(5000) === null;
     * </pre>
     */
    public String getKokoFromId(int id){
        return koot.get(id);
    }


    /**
     *
     * @param koko minkä koon Id:tä etsitään
     * @return Id:n kokonaislukuna
     * @example
     * <pre name="test">
     *  KokoTulkki k = new KokoTulkki();
     *  k.getIdFromKoko("Iso") === 3;
     *  k.getIdFromKoko("Sintti") === 1;
     *  k.getIdFromKoko("pöofkeof") === -1;
     *
     * </pre>
     */
    public int getIdFromKoko(String koko){
        List<Integer> idt = koot.keySet().stream().toList();
        for(Integer i : idt){
            if(koko.equals(koot.get(i))){
                return i;
            }
        }
        return -1;
    }

    public static void main(String[] args) {
        KokoTulkki k = new KokoTulkki();
        System.out.println(k.getKokoFromId(1));
        String s = "Sintti";
        System.out.println(k.getIdFromKoko(s));
    }
}
